# Uses of Class
java.io.ObjectInputStream

Packages that use ObjectInputStream
Package
Description
java.beans.beancontext
Provides classes and interfaces relating to bean context.
javax.management
Provides the core classes for the Java Management Extensions.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

- ## Uses of ObjectInputStream in java.beans.beancontext

  Methods in java.beans.beancontext with parameters of type ObjectInputStream
  Modifier and Type
  Method
  Description
  `protected void`
  BeanContextServicesSupport.`bcsPreDeserializationHook(ObjectInputStream ois)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  called from BeanContextSupport readObject before it deserializes the children ...
  `protected void`
  BeanContextSupport.`bcsPreDeserializationHook(ObjectInputStream ois)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  called by readObject after defaultReadObject() but prior to deserialization of any children.
  `protected final void`
  BeanContextSupport.`deserialize(ObjectInputStream ois, Collection coll)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  used by readObject to deserialize a collection.
  `final void`
  BeanContextSupport.`readChildren(ObjectInputStream ois)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  When an instance of this class is used as a delegate for the implementation of the BeanContext protocols (and its subprotocols) there exists a 'chicken and egg' problem during deserialization

- ## Uses of ObjectInputStream in javax.management

  Methods in javax.management that return ObjectInputStream
  Modifier and Type
  Method
  Description
  `default ObjectInputStream`
  MBeanServer.`deserialize(String className, byte[] data)`
  Deprecated.
  Use `MBeanServer.getClassLoaderRepository()` to obtain the class loader repository and use it to deserialize.
  `default ObjectInputStream`
  MBeanServer.`deserialize(String className, ObjectName loaderName, byte[] data)`
  Deprecated.
  Use `getClassLoader` to obtain the class loader for deserialization.
  `default ObjectInputStream`
  MBeanServer.`deserialize(ObjectName name, byte[] data)`
  Deprecated.
  Use `getClassLoaderFor` to obtain the appropriate class loader for deserialization.

- ## Uses of ObjectInputStream in javax.swing.text

  Methods in javax.swing.text with parameters of type ObjectInputStream
  Modifier and Type
  Method
  Description
  `void`
  StyleContext.`readAttributes(ObjectInputStream in, MutableAttributeSet a)`
  Context-specific handling of reading in attributes
  `static void`
  StyleContext.`readAttributeSet(ObjectInputStream in, MutableAttributeSet a)`
  Reads a set of attributes from the given object input stream that have been previously written out with `writeAttributeSet`.